org.eclipse.actf.visualization.eval.problem

## Class ReportUtil

- java.lang.Object
- - org.eclipse.actf.visualization.eval.problem.ReportUtil

All Implemented Interfaces:
  IProblemItemVisitor

    public class ReportUtil
    extends Object
    implements IProblemItemVisitor

### Field Summary

Fields
`static int` `CSV`
`static String` `LINE_SEP`
`static int` `TAB`

### Constructor Summary

Constructors
Constructor and Description
`ReportUtil()`

### Method Summary

Methods
`String` `getFirstLine()`
`int` `getMode()`
`void` `setMode(int mode)`
`void` `setPrintWriter(PrintWriter reportPW)`
`String` `toString(IProblemItem item)`
`void` `visit(IProblemItem item)` Visit `IProblemItem` and do something.
`void` `writeFirstLine()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CSV

    public static final int CSV

See Also:
  Constant Field Values

#### TAB

    public static final int TAB

See Also:
  Constant Field Values

#### LINE_SEP

    public static final String LINE_SEP

### Constructor Detail

#### ReportUtil

    public ReportUtil()

### Method Detail

#### getMode

    public int getMode()

#### setMode

    public void setMode(int mode)

#### getFirstLine

    public String getFirstLine()

#### writeFirstLine

    public void writeFirstLine()

#### setPrintWriter

    public void setPrintWriter(PrintWriter reportPW)

#### toString

    public String toString(IProblemItem item)

#### visit

    public void visit(IProblemItem item)

Description copied from interface: `IProblemItemVisitor`
Visit `IProblemItem` and do something.

Specified by:
  `visit` in interface `IProblemItemVisitor`
Parameters:
  `item` - target `IProblemItem` to visit